Subject: Re: bug#9402: list-colors-display

From: Chong Yidong <[email-masked]>
Date: Wed, 31 Aug 2011 12:17:55 -0400

Eli Zaretskii <[email-masked]> writes:

>> Another question is why the face definition of `region' has
>> platform-specific colors for GTK and NS, but not for Windows.
>
> I would actually turn the table and ask why the heck do we have
> system-specific defaults for GTK and NS.  I thought Emacs was supposed
> to behave the same on all platforms, except where it's impossible.

In this case, the behavior is "use the system default" ;-)

FWIW, I am also ambivalent about this feature.  The system selection
color can clash with the default Emacs foreground/background color,
unless those colors are also taken from the system (which AFAIK it is
not).